> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitgpt.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List payments

> Retrieve a paginated list of payments for the authenticated organization



## OpenAPI

````yaml post /payments
openapi: 3.1.0
info:
  title: BitGPT 402pay API
  description: Full description of private and dev-availble API endpoints
  version: 1.0.0
  termsOfService: https://bitgpt.xyz/terms
  contact:
    name: API Support
    url: https://help.bitgpt.xyz
    email: support@bitgpt.xyz
servers:
  - url: https://api.bitgpt.xyz
    description: Production API server
security: []
tags:
  - name: Payments
    description: Invoice and payment management endpoints
  - name: Products
    description: Product management endpoints
  - name: dev-api
    description: Developer API endpoints
externalDocs:
  description: Full BitGPT 402pay API documentation
  url: https://docs.bitgpt.xyz
paths:
  /payments:
    post:
      tags:
        - Payments
        - dev-api
      summary: List payments
      description: Retrieve a paginated list of payments for the authenticated organization
      operationId: listPayments
      requestBody:
        $ref: '#/components/requestBodies/listPaymentsRequest'
      responses:
        '200':
          $ref: '#/components/responses/listPaymentsResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
      security:
        - BearerAuth: []
          ApiKeyAuth: []
components:
  requestBodies:
    listPaymentsRequest:
      required: false
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/listPaymentsRequest'
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: integer
                enum:
                  - 400
                  - 401
                  - 403
                  - 404
                description: Status code of the response
              data:
                type:
                  - object
                  - 'null'
                description: Response data containing the requested object
              error:
                type:
                  - string
                  - 'null'
                examples:
                  - Invalid email address
                description: Error message of the response, human readable
              message:
                type: 'null'
              env:
                type: string
                enum:
                  - development
                  - production
                description: API environment
              log:
                type:
                  - string
                  - object
                  - 'null'
                examples:
                  - request_id: req_1234567890
                  - Some pertinent log message
                description: Useful informaiton, not always present, to debug the response
              validator:
                type:
                  - object
                  - 'null'
                examples:
                  - email: Invalid email address
                    password: Password is required
                description: >-
                  Validator response object, each key is the field name and
                  value is the error message
              support_id:
                type:
                  - string
                  - 'null'
                format: uuid
                examples:
                  - support_uuidv7-something-else
                description: >-
                  Support ID linked to the response, used to identify it when
                  talking with our team
            required:
              - status
              - error
              - message
              - env
              - log
              - validator
              - support_id
    '401':
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 401
    '403':
      description: You do not have the required permissions to access this resource
      content:
        application/json:
          schema:
            allOf:
              - type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                      - 401
                      - 403
                      - 404
                    description: Status code of the response
                  data:
                    type:
                      - object
                      - 'null'
                    description: Response data containing the requested object
                  error:
                    type:
                      - string
                      - 'null'
                    examples:
                      - Invalid email address
                    description: Error message of the response, human readable
                  message:
                    type: 'null'
                  env:
                    type: string
                    enum:
                      - development
                      - production
                    description: API environment
                  log:
                    type:
                      - string
                      - object
                      - 'null'
                    examples:
                      - request_id: req_1234567890
                      - Some pertinent log message
                    description: >-
                      Useful informaiton, not always present, to debug the
                      response
                  validator:
                    type:
                      - object
                      - 'null'
                    examples:
                      - email: Invalid email address
                        password: Password is required
                    description: >-
                      Validator response object, each key is the field name and
                      value is the error message
                  support_id:
                    type:
                      - string
                      - 'null'
                    format: uuid
                    examples:
                      - support_uuidv7-something-else
                    description: >-
                      Support ID linked to the response, used to identify it
                      when talking with our team
                required:
                  - status
                  - error
                  - message
                  - env
                  - log
                  - validator
                  - support_id
              - properties:
                  status:
                    type: integer
                    enum:
                      - 403
    listPaymentsResponse:
      description: Invoice list
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Response200'
              - $ref: '#/components/schemas/listPaymentsResponse'
  schemas:
    listPaymentsRequest:
      type: object
      description: Request body for filtering payments
      properties:
        provider_id:
          type: array
          description: Filter by payment provider IDs
          items:
            type:
              - string
              - number
        invoice_id:
          type:
            - string
            - number
          description: Filter by invoice ID
        status:
          type: array
          description: Filter by payment status
          items:
            type: string
            enum:
              - PENDING
              - FAILED
              - COMPLETED
              - CANCELLED
        currency:
          type: array
          description: Filter by currency code
          items:
            $ref: '#/components/schemas/currency'
        price_usd_from:
          type:
            - number
            - string
          description: Filter payments with USD amount greater than or equal to this value
        price_usd_to:
          type:
            - number
            - string
          description: Filter payments with USD amount less than or equal to this value
        created_at_from:
          type: string
          format: mysql-date-time
          description: Filter payments created from this date
        created_at_to:
          type: string
          format: mysql-date-time
          description: Filter payments created until this date
        expand:
          type: array
          description: Array of fields to expand in the response
          items:
            type: string
            enum:
              - provider
        limit:
          type: integer
          description: Maximum number of payments to return
        offset:
          type: integer
          description: Number of payments to skip for pagination
    Response200:
      type: object
      properties:
        status:
          type: integer
          enum:
            - 200
            - 201
            - 202
          description: Status code of the response
        data:
          type:
            - object
            - array
            - 'null'
          description: Response data containing the requested object
        error:
          type:
            - string
            - 'null'
          examples:
            - Invalid email address
          description: Error message of the response, human readable
        message:
          type:
            - string
            - 'null'
          examples:
            - Resource created successfully
          description: Message of the response, human readable
        env:
          type: string
          enum:
            - development
            - production
          description: API environment
        log:
          type:
            - string
            - object
            - 'null'
          examples:
            - request_id: req_1234567890
            - Some pertinent log message
          description: Useful informaiton, not always present, to debug the response
        validator:
          type:
            - object
            - 'null'
          examples:
            - email: Invalid email address
              password: Password is required
          description: >-
            Validator response object, each key is the field name and value is
            the error message
        support_id:
          type:
            - string
            - 'null'
          format: uuid
          examples:
            - support_uuidv7-something-else
          description: >-
            Support ID linked to the response, used to identify it when talking
            with our team
      required:
        - status
        - data
        - message
        - env
      examples:
        - status: 200
          data:
            id: '123'
          error: null
          log: null
          validator: null
          support_id: null
          message: Resource created successfully
          env: development
    listPaymentsResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            count:
              type: integer
              description: Total number of payments.
            items:
              type: array
              items:
                $ref: '#/components/schemas/payment'
      required:
        - data
    currency:
      type: string
      enum:
        - BITCOIN
        - ETHEREUM
        - USDT
        - USDC
        - USDC_NATIVE
        - SOLANA
        - BINANCE_COIN
        - RIPPLE
        - POLYGON
        - TRON
        - LITECOIN
        - BITCOIN_CASH
        - DOGECOIN
        - USD
        - EUR
        - CHF
        - GBP
        - AUD
        - JPY
        - CNY
        - CAD
        - HKD
        - SGD
        - SEK
        - KRW
        - NOK
        - NZD
        - INR
        - MXN
        - TWD
        - ZAR
        - BRL
        - DKK
        - PLN
        - THB
        - ILS
        - IDR
        - CZK
        - AED
        - TRY
        - HUF
        - CLP
        - SAR
        - PHP
        - MYR
        - COP
        - RUB
        - RON
        - PEN
      examples:
        - GBP
        - BITCOIN
    payment:
      type: object
      description: Payment
      properties:
        id:
          type: string
          description: Unique payment identifier
          examples:
            - payment_01979416-d464-7581-a9fe-9a140baeaf3c
        idempotency_key:
          type:
            - string
            - 'null'
          description: Idempotency key for preventing duplicate payments (optional)
          examples:
            - >-
              1a55af7ecb86ec37130c683e78c11a68bf2a1f33a8914830e6bca09be6b675be-invoice_0197926d-8493-7d06-88fd-786e90ed8afc
        organization_id:
          type: string
          description: Organization identifier
          examples:
            - org_0196a59d-a382-7d44-9d86-d4847c90e2cd
        provider_id:
          type: string
          description: Payment provider identifier
          examples:
            - provider_solana_usdc
        invoice_id:
          type:
            - string
            - 'null'
          description: Associated invoice identifier
          examples:
            - invoice_0197926d-8493-7d06-88fd-786e90ed8afc
        currency:
          $ref: '#/components/schemas/currency'
          description: Payment currency code
        price:
          type: string
          description: Payment amount with high precision decimal
          examples:
            - '501.000000000000000000000000000000'
            - '0.000126690000000000000000000000'
        price_usd:
          type: string
          description: Payment amount in USD with high precision decimal
          examples:
            - '501.000000000000000000000000000000'
            - '0.000126690000000000000000000000'
        status:
          type: string
          enum:
            - PENDING
            - FAILED
            - COMPLETED
            - CANCELLED
          description: Payment status
          examples:
            - PENDING
            - COMPLETED
            - FAILED
            - CANCELLED
        created_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the payment was created
          examples:
            - '2025-07-04 18:10:53'
        updated_at:
          type:
            - string
            - 'null'
          format: mysql-date-time
          description: Timestamp when the payment was last updated
          examples:
            - '2025-07-04 18:10:53'
            - null
        happened_at:
          type: string
          format: mysql-date-time
          description: Timestamp when the payment actually occurred
          examples:
            - '2025-07-04 18:10:53'
        provider:
          $ref: '#/components/schemas/provider'
      required:
        - id
        - organization_id
        - provider_id
        - currency
        - price
        - status
        - created_at
        - happened_at
      examples:
        - id: payment_01979449-dc2f-71e4-b565-42d78c0d83aa
          idempotency_key: >-
            1b70f35483e563e009967abe74308e6977f9b36f1bfc05168fa22104b64293d6-invoice_01979284-7610-79f8-86c4-978168730054
          organization_id: org_01972206-5a87-7c27-bad2-a6cf669a0a91
          provider_id: provider_solana_usdc
          invoice_id: invoice_01979284-7610-79f8-86c4-978168730054
          currency: BITCOIN
          price: '0.000126300000000000000000000000'
          price_usd: '13.2750000000000000000000000000'
          status: COMPLETED
          created_at: '2025-07-04 18:10:53'
          updated_at: '2025-07-04 18:15:23'
          happened_at: '2025-07-04 18:15:20'
    provider:
      type: object
      description: Payment provider information
      properties:
        id:
          $ref: '#/components/schemas/providerId'
        provider:
          $ref: '#/components/schemas/providerName'
        network:
          $ref: '#/components/schemas/providerNetwork'
        gateway:
          $ref: '#/components/schemas/providerGateway'
        type:
          $ref: '#/components/schemas/providerType'
        filters:
          $ref: '#/components/schemas/providerFilters'
        metadata:
          $ref: '#/components/schemas/providerMetadata'
      required:
        - id
        - provider
        - network
        - gateway
    providerId:
      description: Payment provider ID used around the API as reference.
      type: string
      enum:
        - provider_base_ethereum
        - provider_base_usdc
        - provider_binance_smart_chain_binance_coin
        - provider_binance_smart_chain_usdc
        - provider_binance_smart_chain_usdt
        - provider_bitcoin_bitcoin
        - provider_bitcoin_cash_bitcoin_cash
        - provider_dogecoin_dogecoin
        - provider_ethereum_ethereum
        - provider_ethereum_usdc
        - provider_ethereum_usdt
        - provider_litecoin_litecoin
        - provider_polygon_polygon
        - provider_polygon_usdc
        - provider_polygon_usdc_native
        - provider_polygon_usdt
        - provider_ripple_ripple
        - provider_solana_solana
        - provider_solana_usdc
        - provider_solana_usdt
        - provider_stripe_acss_debit
        - provider_stripe_affirm
        - provider_stripe_afterpay_clearpay
        - provider_stripe_alipay
        - provider_stripe_alma
        - provider_stripe_amazon_pay
        - provider_stripe_au_becs_debit
        - provider_stripe_bacs_debit
        - provider_stripe_bancontact
        - provider_stripe_billie
        - provider_stripe_blik
        - provider_stripe_boleto
        - provider_stripe_card
        - provider_stripe_card_present
        - provider_stripe_cashapp
        - provider_stripe_crypto
        - provider_stripe_customer_balance
        - provider_stripe_eps
        - provider_stripe_fpx
        - provider_stripe_giropay
        - provider_stripe_grabpay
        - provider_stripe_ideal
        - provider_stripe_interac_present
        - provider_stripe_kakao_pay
        - provider_stripe_klarna
        - provider_stripe_konbini
        - provider_stripe_kr_card
        - provider_stripe_link
        - provider_stripe_mobilepay
        - provider_stripe_multibanco
        - provider_stripe_naver_pay
        - provider_stripe_nz_bank_account
        - provider_stripe_oxxo
        - provider_stripe_p24
        - provider_stripe_pay_by_bank
        - provider_stripe_payco
        - provider_stripe_paynow
        - provider_stripe_paypal
        - provider_stripe_pix
        - provider_stripe_promptpay
        - provider_stripe_revolut_pay
        - provider_stripe_samsung_pay
        - provider_stripe_satispay
        - provider_stripe_sepa_debit
        - provider_stripe_sofort
        - provider_stripe_swish
        - provider_stripe_twint
        - provider_stripe_us_bank_account
        - provider_stripe_wechat_pay
        - provider_stripe_zip
        - provider_tron_tron
        - provider_tron_usdt
      examples:
        - provider_solana_usdc
        - provider_stripe_card
    providerName:
      description: >-
        Provider name. Each payment system has a different name (e.g. CRYPTO
        means that this payment provider is linked to the main crypto payment
        system).
      type: string
      enum:
        - CRYPTO
        - STRIPE
      examples:
        - CRYPTO
    providerNetwork:
      description: >-
        Payment network. For cryptocurrencies it's the blockchain name, for fiat
        it's the rail (direct card or a regional method).
      type: string
      enum:
        - BASE
        - BINANCE_SMART_CHAIN
        - BITCOIN
        - ARK
        - BITCOIN_CASH
        - DOGECOIN
        - ETHEREUM
        - LITECOIN
        - POLYGON
        - RIPPLE
        - SOLANA
        - TRON
        - CARD
        - APM
      examples:
        - SOLANA
        - CARD
    providerGateway:
      description: Payment gateway.
      type: string
      enum:
        - ETHEREUM
        - USDC
        - BINANCE_COIN
        - USDT
        - BITCOIN
        - BITCOIN_CASH
        - DOGECOIN
        - LITECOIN
        - POLYGON
        - USDC_NATIVE
        - RIPPLE
        - SOLANA
        - ACSS_DEBIT
        - AFFIRM
        - AFTERPAY_CLEARPAY
        - ALIPAY
        - ALMA
        - AMAZON_PAY
        - AU_BECS_DEBIT
        - BACS_DEBIT
        - BANCONTACT
        - BILLIE
        - BLIK
        - BOLETO
        - CARD
        - CARD_PRESENT
        - CASHAPP
        - CRYPTO
        - CUSTOMER_BALANCE
        - EPS
        - FPX
        - GIROPAY
        - GRABPAY
        - IDEAL
        - INTERAC_PRESENT
        - KAKAO_PAY
        - KLARNA
        - KONBINI
        - KR_CARD
        - LINK
        - MOBILEPAY
        - MULTIBANCO
        - NAVER_PAY
        - NZ_BANK_ACCOUNT
        - OXXO
        - P24
        - PAY_BY_BANK
        - PAYCO
        - PAYNOW
        - PAYPAL
        - PIX
        - PROMPTPAY
        - REVOLUT_PAY
        - SAMSUNG_PAY
        - SATISPAY
        - SEPA_DEBIT
        - SOFORT
        - SWISH
        - TWINT
        - US_BANK_ACCOUNT
        - WECHAT_PAY
        - ZIP
        - TRON
      examples:
        - SOLANA
        - CARD
    providerType:
      description: >-
        Used to identify whether the gateway is a native blockchain asset or a
        native system method (e.g. USDC on Solana or Klarna on Stripe would
        equal to additional).
      type: string
      enum:
        - native
        - additional
      examples:
        - native
    providerFilters:
      description: >-
        Useful filters to search for a provider. evm = Ethereum Virtual Machine,
        xvm = Any Virtual Machine (Ethereum, Solana, Binance Smart Chain, etc),
        svm = Solana Virtual Machine, tvm = Tron Virtual Machine, btc = Any
        BTC-based (Bitcoin, Bitcoin Cash, Dogecoin, Litecoin, etc)
      type:
        - array
        - 'null'
      items:
        type:
          - string
          - 'null'
        enum:
          - evm
          - xvm
          - svm
          - tvm
          - btc
          - xrp
      examples:
        - - evm
          - xvm
        - - btc
    providerMetadata:
      description: Additional metadata for the provider.
      type:
        - object
        - 'null'
      properties:
        decimals:
          type: number
          description: >-
            Number of decimals for the token or native asset. E.g. 18 decimals
            on ETHEREUM.
        contract_address:
          type: string
          description: Contract address for the token asset.
        detection_min_amount:
          type: number
          description: >-
            Minimum amount for the provider to be detected for deposit and
            withdrawal operations (unrelated to payments). This amount is
            already multiplied by the 10^decimals.
        network_logo:
          type: string
          description: Image URL for the logo of the provider.
        gateway_logo:
          type: string
          description: Image URL for the logo of the network.
      examples:
        - decimals: 18
          contract_address: '0x0000000000000000000000000000000000000000'
          detection_min_amount: 0.0001
          image_url: https://example.com/usdc.png
          image_url_network: https://example.com/usdc_network.png
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Send your access token as header Authorization: Bearer {accessToken}'
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your API key that starts with sk_live or sk_test. You can create yours
        at go.bitgpt.xyz/api-keys.

````